<?php
/*
  ----------------------------------------------------------------------
  GLPI - Gestionnaire Libre de Parc Informatique
  Copyright (C) 2003-2005 by the INDEPNET Development Team.
  
  http://indepnet.net/   http://glpi-project.org/
  ----------------------------------------------------------------------
  
  LICENSE
  
  This file is part of GLPI.
  
  GLPI is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  GLPI is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with GLPI; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  ------------------------------------------------------------------------
 */

// ----------------------------------------------------------------------
// Original Author of file: GRISARD Jean Marc & CAILLAUD Xavier
// Purpose of file:
// ----------------------------------------------------------------------


/**
 * 
 *Make a select box for all items
 *
 *
* @param $myname select name
 * @param $value default value
 * @param $value_type default value for the device type
 * @param $withenterprise Add enterprises to device type list
 * @param $withcartridge Add cartridges to device type list
 * @param $withconsumable Add consumables to device type list
 * @param $withcontracts Add contracts to device type list
 * @return nothing (print out an HTML select box)
 */
 
 
function plugin_archires_dropdownAllItems($myname,$value_type=0,$value=0) {
	global $db,$lang,$langarchires,$HTMLRel,$cfg_glpi;

	$items=array(
			COMPUTER_TYPE=>"glpi_computers",
			NETWORKING_TYPE=>"glpi_networking",
			PRINTER_TYPE=>"glpi_printers",
			PERIPHERAL_TYPE=>"glpi_peripherals",
			PHONE_TYPE=>"glpi_phones",
		    );

	$rand=mt_rand();
	echo "<table border='0'><tr><td>\n";
	echo "<select name='type' id='item_type$rand'>\n";
	echo "<option value='0;0'>-----</option>\n";
	echo "<option value='".COMPUTER_TYPE.";glpi_type_computers'>".$lang["Menu"][0]."</option>\n";
	echo "<option value='".NETWORKING_TYPE.";glpi_type_networking'>".$lang["Menu"][1]."</option>\n";
	echo "<option value='".PRINTER_TYPE.";glpi_type_printers'>".$lang["Menu"][2]."</option>\n";
	echo "<option value='".PERIPHERAL_TYPE.";glpi_type_peripherals'>".$lang["Menu"][16]."</option>\n";
	echo "<option value='".PHONE_TYPE.";glpi_type_phones'>".$lang["Menu"][34]."</option>\n";
	echo "</select>\n";

	echo "<script type='text/javascript' >\n";
	echo "   new Form.Element.Observer('item_type$rand', 1, \n";
	echo "      function(element, value) {\n";
	echo "      	new Ajax.Updater('show_$myname$rand','".$cfg_glpi["root_doc"]."/plugins/archires/ajax/dropdownAllItems.php',{asynchronous:true, evalScripts:true, \n";	echo "           onComplete:function(request)\n";
	echo "            {Element.hide('search_spinner_$myname$rand');}, \n";
	echo "           onLoading:function(request)\n";
	echo "            {Element.show('search_spinner_$myname$rand');},\n";
	echo "           method:'post', parameters:'idtable='+value+'&myname=$myname&value=$value'\n";
	echo "})})\n";
	echo "</script>\n";

	echo "<div id='search_spinner_$myname$rand' style=' position:absolute;   filter:alpha(opacity=70); -moz-opacity:0.7; opacity: 0.7; display:none;'><img src=\"".$HTMLRel."pics/wait.png\" title='Processing....' alt='Processing....' /></div>\n";
	echo "</td><td>\n"	;
	echo "<span id='show_$myname$rand'>&nbsp;</span>\n";
	echo "</td></tr></table>\n";
	

	if ($value>0){
		echo "<script type='text/javascript' >\n";
		echo "document.getElementById('search_spinner_$myname$rand').style.visibility='hidden';";
		echo "document.getElementById('item_type$rand').value='".$value_type."';";
		echo "</script>\n";
	}
	return $rand;
	
}

	function plugin_archires_getDeviceType ($devicetype){
		global $lang;
	
		switch ($devicetype){
			
			case COMPUTER_TYPE :	
				return $lang["computers"][44];
				break;
			case NETWORKING_TYPE :
				return $lang["networking"][12];
				break;
			case PRINTER_TYPE :
				return $lang["printers"][4];
				break;
			case PERIPHERAL_TYPE : 
				return $lang["peripherals"][4];
				break;				
			case PHONE_TYPE : 
				return $lang["phones"][4];
				break;				
			
		}

	}
	
		function plugin_archires_getType ($devicetype,$type){
		global $lang;
		
		$db = new DB;

		switch ($devicetype){
			
			case COMPUTER_TYPE :
				$query="SELECT name FROM glpi_type_computers WHERE ID= '$type';";
				$result = $db->query($query);
				$name=$db->result($result, 0, "name");
				return $name;
				break;
			case NETWORKING_TYPE :
				$query="SELECT name FROM glpi_type_networking WHERE ID= '$type';";
				$result = $db->query($query);
				$name=$db->result($result, 0, "name");
				return $name;
				break;
			case PRINTER_TYPE :
				$query="SELECT name FROM glpi_type_printers WHERE ID= '$type';";
				$result = $db->query($query);
				$name=$db->result($result, 0, "name");
				return $name;
				break;
			case PERIPHERAL_TYPE : 
				$query="SELECT name FROM glpi_type_peripherals WHERE ID= '$type';";
				$result = $db->query($query);
				$name=$db->result($result, 0, "name");
				return $name;				
			case PHONE_TYPE : 
				$query="SELECT name FROM glpi_type_phones WHERE ID= '$type';";
				$result = $db->query($query);
				$name=$db->result($result, 0, "name");
				return $name;
				break;				
			
		}

	}
	
	function plugin_archires_getgroupName($ID,$link=0){
	global $db,$cfg_glpi,$lang;
		
		$query="SELECT * from glpi_groups WHERE ID=$ID";
		$result=$db->query($query);
		$user="";
		if ($link==2) $user=array("name"=>"","comments"=>"","link"=>"");
			if ($db->numrows($result)==1){
				$data=$db->fetch_assoc($result);
					$before="";
					$after="";
					if ($link==1){
						$before="<a href=\"".$cfg_glpi["root_doc"]."/front/group.info.php?ID=".$ID."\">";
							$after="</a>";
					}
				if (strlen($data["name"])>0) $username=$before.$data["name"].$after;
				else $username=$before.$data["name"].$after;
					
						if ($link==2){
							$user["name"]=$username;
								$user["link"]=$cfg_glpi["root_doc"]."/front/group.info.php?ID=".$ID;
								$user["comments"]=$lang["common"][16].": ".$username."<br>";
								
						} else $user=$username;
			}
	
		return $user;		
}

function plugin_archires_dropdowncolors() {
	global $db,$lang,$langarchires,$HTMLRel,$cfg_glpi;

	$query="SELECT * from glpi_dropdown_iface";
	$result=$db->query($query);
	$number = $db->numrows($result);
	$i = 0;
	if($number !="0"){
	echo "<select name='iface'>\n";
	echo "<option value='0'>-----</option>\n";
	echo "<option value='all'>".$langarchires["archires"][21]."</option>\n";
	while($data= mysql_fetch_array($result)){
		echo "<option value='".$data["ID"]."'>".$data["name"]."</option>";
	$i++;
	}
	echo "</select>";

	}	
}
?>
