<?php
/*
  ----------------------------------------------------------------------
  GLPI - Gestionnaire Libre de Parc Informatique
  Copyright (C) 2003-2005 by the INDEPNET Development Team.
  
  http://indepnet.net/   http://glpi-project.org/
  ----------------------------------------------------------------------
  
  LICENSE
  
  This file is part of GLPI.
  
  GLPI is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  GLPI is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with GLPI; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  ------------------------------------------------------------------------
 */

// ----------------------------------------------------------------------
// Original Author of file: GRISARD Jean Marc & CAILLAUD Xavier
// Purpose of file:
// ----------------------------------------------------------------------


/**
 * Install the plugin tables on the GLPI database
 *
 *
 *@return nothing.
 *
 **/
function plugin_archires_Install() {
	$db = new DB;
		
		$query = "CREATE TABLE `glpi_plugin_archires_config` (
`ID` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`type` INT( 11 ) NOT NULL ,
`device_type` INT( 11 ) NOT NULL ,
`img` VARCHAR( 50 ) NOT NULL
) TYPE = MYISAM ;";
		
		$db->query($query) or die($db->error());
			
		$query = "CREATE TABLE `glpi_plugin_archires_color` (
`ID` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`iface` INT( 11 ) NOT NULL ,
`color` VARCHAR( 50 ) NOT NULL
) TYPE = MYISAM ;";
		
		$db->query($query) or die($db->error());

		$query = "CREATE TABLE `glpi_plugin_archires_display` (
`ID` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`computer` ENUM( '1', '0' ) NOT NULL DEFAULT '1',
`networking` ENUM( '1', '0' ) NOT NULL DEFAULT '1',
`printer` ENUM( '1', '0' ) NOT NULL DEFAULT '1',
`peripheral` ENUM( '1', '0' ) NOT NULL DEFAULT '1',
`phone` ENUM( '1', '0' ) NOT NULL DEFAULT '1',
`display_ports` ENUM( '1', '0' ) NOT NULL DEFAULT '0',
`display_ip` ENUM( '1', '0' ) NOT NULL DEFAULT '0',
`system` ENUM( '1', '0' ) NOT NULL DEFAULT '0'
) TYPE = MYISAM ;";
		
		$db->query($query) or die($db->error());
			
		$query ="INSERT INTO `glpi_plugin_archires_display` ( `ID`, `computer` , `networking`, `printer`, `peripheral`, `phone`,`display_ports`,`display_ip`,`system`)
			VALUES ('1', '1','1','1','1','1','0','0','0');";
			
		$db->query($query) or die($db->error());
		
		$query="CREATE TABLE `glpi_plugin_archires_profiles` (
		`ID` int(11) NOT NULL auto_increment,
		`name` varchar(255) default NULL,
		`interface` varchar(50) NOT NULL default 'archires',
		`is_default` enum('0','1') NOT NULL default '0',
		`archires` char(1) default NULL,
		PRIMARY KEY  (`ID`),
		KEY `interface` (`interface`)
			) TYPE=MyISAM;";
			
		$db->query($query) or die($db->error());

	$query ="INSERT INTO `glpi_plugin_archires_profiles` ( `ID`, `name` , `interface`, `is_default`, `archires`)
		VALUES ('1', 'post-only','archires','1',NULL);";

	$db->query($query) or die($db->error());
	
	$query ="INSERT INTO `glpi_plugin_archires_profiles` ( `ID`, `name` , `interface`, `is_default`, `archires`)
		VALUES ('2', 'normal','archires','0',NULL);";

	$db->query($query) or die($db->error());
	
	$query ="INSERT INTO `glpi_plugin_archires_profiles` ( `ID`, `name` , `interface`, `is_default`, `archires`)
		VALUES ('3', 'admin','archires','0','r');";

	$db->query($query) or die($db->error());
	
	$query ="INSERT INTO `glpi_plugin_archires_profiles` ( `ID`, `name` , `interface`, `is_default`, `archires`)
		VALUES ('4', 'super-admin','archires','0','w');";

	$db->query($query) or die($db->error());
			
			
}
function plugin_archires_updatev13() {
	$db = new DB;

		$query = "ALTER TABLE `glpi_plugin_archires_display` ADD `display_ports` ENUM( '1', '0' ) NOT NULL DEFAULT '0';";		
		$db->query($query) or die($db->error());
				
}

function plugin_archires_updatev14() {
	$db = new DB;

		$query = "CREATE TABLE `glpi_plugin_archires_color` (
`ID` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`iface` INT( 11 ) NOT NULL ,
`color` VARCHAR( 50 ) NOT NULL
) TYPE = MYISAM ;";
		
		$db->query($query) or die($db->error());
		
			$query="CREATE TABLE `glpi_plugin_archires_profiles` (
		`ID` int(11) NOT NULL auto_increment,
		`name` varchar(255) default NULL,
		`interface` varchar(50) NOT NULL default 'archires',
		`is_default` enum('0','1') NOT NULL default '0',
		`archires` char(1) default NULL,
		PRIMARY KEY  (`ID`),
		KEY `interface` (`interface`)
			) TYPE=MyISAM;";
			
		$db->query($query) or die($db->error());

	$query ="INSERT INTO `glpi_plugin_archires_profiles` ( `ID`, `name` , `interface`, `is_default`, `archires`)
		VALUES ('1', 'post-only','archires','1',NULL);";

	$db->query($query) or die($db->error());
	
	$query ="INSERT INTO `glpi_plugin_archires_profiles` ( `ID`, `name` , `interface`, `is_default`, `archires`)
		VALUES ('2', 'normal','archires','0',NULL);";

	$db->query($query) or die($db->error());
	
	$query ="INSERT INTO `glpi_plugin_archires_profiles` ( `ID`, `name` , `interface`, `is_default`, `archires`)
		VALUES ('3', 'admin','archires','0','r');";

	$db->query($query) or die($db->error());
	
	$query ="INSERT INTO `glpi_plugin_archires_profiles` ( `ID`, `name` , `interface`, `is_default`, `archires`)
		VALUES ('4', 'super-admin','archires','0','w');";

	$db->query($query) or die($db->error());
	
	$query = "ALTER TABLE `glpi_plugin_archires_display` ADD `display_ip` ENUM( '1', '0' ) NOT NULL DEFAULT '0';";		
	$db->query($query) or die($db->error());
	
	$query = "ALTER TABLE `glpi_plugin_archires_display` ADD `system` ENUM( '1', '0' ) NOT NULL DEFAULT '0';";		
	$db->query($query) or die($db->error());
				
}

function plugin_archires_uninstall() {
	$db = new DB;
		
		$query = "DROP TABLE `glpi_plugin_archires_config`;";
		
		$db->query($query) or die($db->error());
		
		$query = "DROP TABLE `glpi_plugin_archires_display`;";
		
		$db->query($query) or die($db->error());
		
		$query = "DROP TABLE `glpi_plugin_archires_color`;";
		
		$db->query($query) or die($db->error());
		
		$query = "DROP TABLE `glpi_plugin_archires_profiles`;";
		
		$db->query($query) or die($db->error());
}


?>
